Subject: RE: problems with lentils

From: Peter Brooks <[email-masked]>
Date: Mon, 14 Mar 1994 18:14:24 GMT

[email-masked] writes:

>I really like lentils in things in place of meat, but when I cook them they
>[are hard and crunchy].

>spaghetti sauces and such, but with no better results. 
 ^^^^^^^^^
 
Ah ha!  Yes, lentils cook fairly quickly, but like all beans, they are a
bit fussy about what they get cooked *in*.  If you are cooking your lentils
in spaghetti sauce, they're seeing acid and salt.  These will make them hard.

The best bet is to clean them, stick them in water (no salt, maybe some
seasoning) and cook them until they're tender.  *Then* add them to the rest.
I just reworked a Lentil-Bulgur stew (recipe to be posted Real Soon Now)
and it came out perfectly.  I actually cooked the lentils 40 minutes, but
that was because I had to add more bulgur to make it come out right.  <g>

Pete   [email-masked]